<link rel="import" href="../polymer/polymer-element.html">

<dom-module id="my-toolbar">
  <template>
    <style>
      :host {
        display: block;
        padding: 4px;
        background-color: gray;
      }
      .title {
        color: var(--my-toolbar-title-color, blue);
      }
    </style>
    <span class="title">{{title}}</span>
    <h2>Hello [[prop1]]</h2>
    <span>Otra propiedad: "[[currentValue]]"</span>
    <hr>
    <button on-click="cambiarValor">
      Haz click para cambiar el  valor.
    </button>
  </template>

  <script>
    /**
     * `my-toolbar`
     * 
     *
     * @customElement
     * @polymer
     * @demo demo/index.html
     */
    class MyToolbar extends Polymer.Element {
      static get is() { return 'my-toolbar'; }
      static get properties() {
        return {
          prop1: {
            type: String,
            value: 'mi-propiedades'
          },
          title: {
            type: String,
            value: 'my-toolbar'
          },
          param1: Number,
          param2: Number,
          fechaTransascion: {
            type: Date,
            value: new Date(),
            readOnly: false, 
            reflectToAttribute: true
          },
          currentValue: {
            type: String
          }
        };
      }

      cambiarValor(){
        this.fechaTransascion = Date.now();
      }

    }

    window.customElements.define(MyToolbar.is, MyToolbar);
  </script>
</dom-module>
